Event management service
The event management service provides resources for updating existing events, either with new status information or with text annotations. To create an event, use the create events resource of the data receiver service.
Resource list
- Set status (POST /v1/event-management/status)
- Set status in common (POST /v1/event-management/status-common)
- Annotate (POST /v1/event-management/annotate)
- Annotate in common (POST /v1/event-management/annotate-common)
- Delete annotations (POST /v1/event-management/delete-annotations)
POST /v1/event-management/status
Update the status of one or more events.
To create an event, use the create events resource.
Info
To obtain values for the occurrenceId and annotationId fields,
display the details of the event to update in an events console.
Request template
Abstract previews of JSON requests to update event status information.
{
"statuses": [
{
"eventId": "<event-id>",
"occurrenceId": "<occurence-id>",
"statusWrapper": {
"status": "<status>"
}
}
]
}
{
"statuses": [
{
"eventId": "<event-id>",
"occurrenceId": "<occurence-id>",
"acknowledged": <boolean>
}
]
}
Request fields
-
statuses(array, required) - One or more event status specifications.
-
eventId(string, required) - The identifier of an event.
-
occurrenceId(string, required) - The occurrence identifier of an event.
-
acknowledged(boolean, optional, default =false) - The acknowledgement state of the event, acknowledged (
true) or not acknowledged (false). This field or thestatusWrapperfield must be included in a request. -
statusWrapper(object, optional) - A container for a
statusstring. This field or theacknowledgedfield must be included in a request. -
status(string, optional) -
The status of the event.
STATUS_DEFAULT- Unknown at this timeSTATUS_OPEN- Known to be in progress at this timeSTATUS_SUPPRESSED- Should be endedSTATUS_CLOSED- Known to be ended
Status codes
- 200 (full or partial success; see response message)
- 400 (invalid request parameters)
- 401 (missing or invalid API key)
Example
curl https://YOUR-API-ENDPOINT/v1/event-management/status \
-H "content-type: application/json" \
-H "zenoss-api-key: YOUR-API-KEY" \
-X POST -s -S -d \
'{
"statuses": [
{
"eventId": "AAAABWRDWOPER3lzOFI2tSCG49g=",
"occurrenceId": "9f3a2c1d-7e4b-4a9f-8d2e-1b5c6f0e3a7d",
"acknowledged": true
},
{
"eventId": "AAAAEVBDWOPER3lzOFI2tSCG49g=",
"occurrenceId": "b8d1f5e2-3c7a-4b9d-e6f0-2c8a5d1f4b7e",
"statusWrapper": {
"status": "EM_STATUS_SUPPRESSED"
}
}
]
}'
{
"statusResponses": [
{
"eventId": "AAAABWRDWOPER3lzOFI2tSCG49g=",
"occurrenceId": "9f3a2c1d-7e4b-4a9f-8d2e-1b5c6f0e3a7d",
"success": true
},
{
"eventId": "AAAAEVBDWOPER3lzOFI2tSCG49g=",
"occurrenceId": "b8d1f5e2-3c7a-4b9d-e6f0-2c8a5d1f4b7e",
"success": true
}
]
}
POST /v1/event-management/status-common
Update the status or acknowledgement of multiple events to the same value in a single request. Use this resource instead of set status when applying identical changes to a large set of events.
Request template
{
"eventIds": [
{
"eventId": "<event-id>",
"occurrenceId": "<occurrence-id>"
}
],
"statusWrapper": {
"status": "<status>"
}
}
{
"eventIds": [
{
"eventId": "<event-id>",
"occurrenceId": "<occurrence-id>"
}
],
"acknowledged": <boolean>
}
Request fields
-
eventIds(array, required) - One or more event identifiers to update.
-
eventId(string, required) - The identifier of an event.
-
occurrenceId(string, required) - The occurrence identifier of an event.
-
acknowledged(boolean, optional) - The acknowledgement state to apply to all events: acknowledged (
true) or not acknowledged (false). This field orstatusWrappermust be included. -
statusWrapper(object, optional) - A container for a
statusstring. This field oracknowledgedmust be included. -
status(string, optional) -
The status to apply to all events.
STATUS_DEFAULT- Unknown at this timeSTATUS_OPEN- Known to be in progress at this timeSTATUS_SUPPRESSED- Should be endedSTATUS_CLOSED- Known to be ended
Status codes
- 200 (full or partial success; see response message)
- 400 (invalid request parameters)
- 401 (missing or invalid API key)
Example
curl https://YOUR-API-ENDPOINT/v1/event-management/status-common \
-H "content-type: application/json" \
-H "zenoss-api-key: YOUR-API-KEY" \
-X POST -s -S -d \
'{
"eventIds": [
{
"eventId": "AAAABWRDWOPER3lzOFI2tSCG49g=",
"occurrenceId": "9f3a2c1d-7e4b-4a9f-8d2e-1b5c6f0e3a7d"
},
{
"eventId": "AAAEDBRDWOPER3lzOFI2tSCG49g=",
"occurrenceId": "4e2c8f1b-9a3d-4f7e-b5c6-0d1e4c7f2a9b"
}
],
"acknowledged": true
}'
{
"statusResponses": [
{
"eventId": "AAAABWRDWOPER3lzOFI2tSCG49g=",
"occurrenceId": "9f3a2c1d-7e4b-4a9f-8d2e-1b5c6f0e3a7d",
"success": true
},
{
"eventId": "AAAEDBRDWOPER3lzOFI2tSCG49g=",
"occurrenceId": "4e2c8f1b-9a3d-4f7e-b5c6-0d1e4c7f2a9b",
"success": true
}
]
}
POST /v1/event-management/annotate
Create or update the annotation field of one or more events.
To create an event, use the create events resource.
Info
To obtain values for the occurrenceId and annotationId fields,
display the details of the event to annotate in an events console.
Request template
Abstract previews of JSON requests to create or update one event annotation.
{
"annotations": [
{
"eventId": "<event-id>",
"occurrenceId": "<occurence-id>",
"annotation": "<annotation>"
}
]
}
{
"annotations": [
{
"eventId": "<event-id>",
"occurrenceId": "<occurence-id>",
"annotationId": "<annotation-id>",
"annotation": "<annotation>"
}
]
}
Request fields
-
annotations(array, required) - One or more event annotation specifications.
-
eventId(string, required) - The identifier of an event.
-
occurrenceId(string, required) - The occurrence identifier of an event.
-
annotationId(string, optional) - The identifier of an event annotation. For updates, this field is required.
-
annotation(string, optional) - The text of an annotation. For updates, the content of this field replaces the existing content of an event annotation, if any.
Status codes
- 200 (full or partial success; see response message)
- 400 (invalid request parameters)
- 401 (missing or invalid API key)
Example
curl https://YOUR-API-ENDPOINT/v1/event-management/annotate \
-H "content-type: application/json" \
-H "zenoss-api-key: YOUR-API-KEY" \
-X POST -s -S -d \
'{
"annotations": [
{
"eventId": "AAAABWRDWOPER3lzOFI2tSCG49g=",
"occurrenceId": "9f3a2c1d-7e4b-4a9f-8d2e-1b5c6f0e3a7d",
"annotation": "my sample annotation"
},
{
"eventId": "AAAEDBRDWOPER3lzOFI2tSCG49g=",
"occurrenceId": "7c4e9b2a-1f6d-4c8e-a3b7-2d5f0e1c4b8a",
"annotation": "my sample annotation update"
}
]
}'
{
"annotationResponses": [
{
"eventId": "AAAABWRDWOPER3lzOFI2tSCG49g=",
"occurrenceId": "9f3a2c1d-7e4b-4a9f-8d2e-1b5c6f0e3a7d",
"annotationId": "a3c5f8e2-1d4b-4a7f-b9e3-6c0f2d8a5b1e",
"success": true
},
{
"eventId": "AAAEDBRDWOPER3lzOFI2tSCG49g=",
"occurrenceId": "7c4e9b2a-1f6d-4c8e-a3b7-2d5f0e1c4b8a",
"annotationId": "5d9b2f4c-8e1a-4c6d-f3b7-1a4e8f2c9d5b",
"success": true
}
]
}
POST /v1/event-management/annotate-common
Add the same annotation text to multiple events in a single request. Use this resource instead of annotate when adding identical annotations to a large set of events.
Info
This resource only creates new annotations. To update or delete existing annotations, use the annotate or delete annotations resources.
Request template
{
"eventIds": [
{
"eventId": "<event-id>",
"occurrenceId": "<occurrence-id>"
}
],
"annotation": "<annotation>"
}
Request fields
-
eventIds(array, required) - One or more event identifiers to annotate.
-
eventId(string, required) - The identifier of an event.
-
occurrenceId(string, required) - The occurrence identifier of an event.
-
annotation(string, required) - The annotation text to add to all specified events.
Status codes
- 200 (full or partial success; see response message)
- 400 (invalid request parameters)
- 401 (missing or invalid API key)
Example
curl https://YOUR-API-ENDPOINT/v1/event-management/annotate-common \
-H "content-type: application/json" \
-H "zenoss-api-key: YOUR-API-KEY" \
-X POST -s -S -d \
'{
"eventIds": [
{
"eventId": "AAAABWRDWOPER3lzOFI2tSCG49g=",
"occurrenceId": "9f3a2c1d-7e4b-4a9f-8d2e-1b5c6f0e3a7d"
},
{
"eventId": "AAAEDBRDWOPER3lzOFI2tSCG49g=",
"occurrenceId": "4e2c8f1b-9a3d-4f7e-b5c6-0d1e4c7f2a9b"
}
],
"annotation": "Acknowledged during scheduled maintenance window 2026-06-25"
}'
{
"annotationResponses": [
{
"eventId": "AAAABWRDWOPER3lzOFI2tSCG49g=",
"occurrenceId": "9f3a2c1d-7e4b-4a9f-8d2e-1b5c6f0e3a7d",
"annotationId": "5d9b2f4c-8e1a-4c6d-f3b7-1a4e8f2c9d5b",
"success": true
},
{
"eventId": "AAAEDBRDWOPER3lzOFI2tSCG49g=",
"occurrenceId": "4e2c8f1b-9a3d-4f7e-b5c6-0d1e4c7f2a9b",
"annotationId": "2b7e4d9a-3f1c-4b8e-a5d6-7f0c2b9e4a3d",
"success": true
}
]
}
POST /v1/event-management/delete-annotations
Delete one or more annotations from events.
Info
To obtain values for the occurrenceId and annotationId fields,
display the details of the event in an events console.
Request template
{
"annotations": [
{
"eventId": "<event-id>",
"occurrenceId": "<occurrence-id>",
"annotationId": "<annotation-id>"
}
]
}
Request fields
-
annotations(array, required) - One or more annotation deletion specifications.
-
eventId(string, required) - The identifier of an event.
-
occurrenceId(string, required) - The occurrence identifier of an event.
-
annotationId(string, required) - The identifier of the annotation to delete.
Status codes
- 200 (full or partial success; see response message)
- 400 (invalid request parameters)
- 401 (missing or invalid API key)
Example
curl https://YOUR-API-ENDPOINT/v1/event-management/delete-annotations \
-H "content-type: application/json" \
-H "zenoss-api-key: YOUR-API-KEY" \
-X POST -s -S -d \
'{
"annotations": [
{
"eventId": "AAAABWRDWOPER3lzOFI2tSCG49g=",
"occurrenceId": "9f3a2c1d-7e4b-4a9f-8d2e-1b5c6f0e3a7d",
"annotationId": "a3c5f8e2-1d4b-4a7f-b9e3-6c0f2d8a5b1e"
}
]
}'
{
"annotationResponses": [
{
"eventId": "AAAABWRDWOPER3lzOFI2tSCG49g=",
"occurrenceId": "9f3a2c1d-7e4b-4a9f-8d2e-1b5c6f0e3a7d",
"annotationId": "a3c5f8e2-1d4b-4a7f-b9e3-6c0f2d8a5b1e",
"success": true
}
]
}